Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 641429 - Review Request: mingw32-dbus - MinGW Windows port of DBus
Review Request: mingw32-dbus - MinGW Windows port of DBus
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-08 13:35 EDT by Ivan Romanov
Modified: 2010-11-14 16:38 EST (History)
7 users (show)

See Also:
Fixed In Version: mingw32-dbus-1.4.1-0.1.20101008git.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-14 16:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Corrected mingw32-dbus.spec (3.17 KB, text/plain)
2010-10-22 03:39 EDT, Ivan Romanov
no flags Details
Corrected mingw32-dbus.spec #2 (3.18 KB, text/plain)
2010-10-23 06:16 EDT, Ivan Romanov
no flags Details
Corrected mingw32-dbus.spec #3 (3.32 KB, text/plain)
2010-11-03 20:25 EDT, Ivan Romanov
no flags Details

  None (edit)
Description Ivan Romanov 2010-10-08 13:35:23 EDT
Hello. It is my first package for Fedora.

Spec URL: http://ftd4linux.nl/contrib/mingw/mingw32-dbus.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw/mingw32-dbus-1.4.1-0.1.20101008git.fc13.src.rpm
Description: D-BUS is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2522125

Approved packaging guidelines for MinGW are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Erik van Pienbroek 2010-10-19 15:40:00 EDT
Hi Ivan,

As discussed on #fedora-mingw we've agreed that rjones will sponsor you. The sponsoring should already be done by now.

On to the review of this package:

- Please use %global instead of %define for the lines at the top of the .spec file
- Please use %defattr(-,root,root,-) in the %files section
- The init.d script is unneeded for Win32 environments so it can be dropped
- Some folders aren't owned by this package. Please change %{_mingw32_libdir}/dbus-1.0/include/dbus/dbus-arch-deps.h to %{_mingw32_libdir}/dbus-1.0/
- The version mentioned in the latest changelog entry is invalid. It should be 1.4.1-0.1.20101008git instead of 1.4.1-2010git

There also are some 'nice to have' things, but those are not strictly required to pass the review:
- Instead of removing the static library (libdbus-1.a) you can also decide to create a -static subpackage and bundle that file with that package
- It's possible to automatically generate a -debuginfo subpackage by adding the instructions '%define __debug_install_post %{_mingw32_debug_install_post}' and '%{?_mingw32_debug_package}' to the .spec file. For an example, see http://pkgs.fedoraproject.org/gitweb/?p=mingw32-glib2.git;a=blob;f=mingw32-glib2.spec;h=ef7de51f5e54a6dc183d679ce702823c68fa55d9;hb=HEAD
Comment 2 Ivan Romanov 2010-10-22 03:39:57 EDT
Created attachment 455004 [details]
Corrected mingw32-dbus.spec

Hi Eric. 

I corrected mingw32-dbus.spec. Have a look at attachments.
Comment 3 Erik van Pienbroek 2010-10-22 07:46:47 EDT
One more small thing: Please use 'make %{?_smp_mflags}' instead of just 'make' in the %build phase
Comment 4 Ivan Romanov 2010-10-22 16:32:09 EDT
Ok. I corrected.
Comment 5 Ivan Romanov 2010-10-23 06:16:17 EDT
Created attachment 455234 [details]
Corrected mingw32-dbus.spec #2
Comment 6 Erik van Pienbroek 2010-11-03 18:28:06 EDT
$ rpmlint mingw32-dbus.spec 
mingw32-dbus.spec: W: invalid-url Source0: dbus-1.4.1.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings

$ rpmlint mingw32-dbus-1.4.1-0.1.20101008git.fc14.src.rpm 
mingw32-dbus.src: W: spelling-error %description -l en_US systemwide -> system wide, system-wide, systemize
mingw32-dbus.src: W: invalid-url Source0: dbus-1.4.1.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint mingw32-dbus-1.4.1-0.1.20101008git.fc14.noarch.rpm mingw32-dbus-static-1.4.1-0.1.20101008git.fc14.noarch.rpm 
mingw32-dbus.noarch: W: spelling-error %description -l en_US systemwide -> system wide, system-wide, systemize
mingw32-dbus-static.noarch: W: spelling-error %description -l en_US systemwide -> system wide, system-wide, systemize
mingw32-dbus-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libdbus-1.a
mingw32-dbus-static.noarch: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.


The invalid-url warning is caused by the fact that you're using a git snapshot
If using a snapshot, please add a comment explaining how the snapshot tarball was generated

Please fix the spelling error

The other rpmlint warnings can be ignored

$ rpmquery --requires mingw32-dbus
pkgconfig  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-filesystem >= 62
mingw32-runtime  
mingw32(kernel32.dll)  
mingw32(libdbus-1-3.dll)  
mingw32(libexpat-1.dll)  
mingw32(msvcrt.dll)  
mingw32(ws2_32.dll)  
rpmlib(PayloadIsXz) <= 5.2-1

$ rpmquery --provides mingw32-dbus
mingw32(libdbus-1-3.dll)  
mingw32-dbus = 1.4.1-0.1.20101008git.fc14


+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-pc-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones


[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[/] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as B ildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[*] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[/] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[*] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[*] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Please add a comment to the .spec which explains how the git snapshot tarball was generated and please fix the spelling error.
Other than that the package is good to go. Please fix these two small issues before importing

==================================================
 The package mingw32-dbus is APPROVED by epienbro
==================================================
Comment 7 Ivan Romanov 2010-11-03 20:25:56 EDT
Created attachment 457623 [details]
Corrected mingw32-dbus.spec #3

Thank you.
I fixed spelling error and added tarball description.
Comment 8 Erik van Pienbroek 2010-11-05 07:39:28 EDT
As the package is now approved, you can request a GIT repository and upload the .spec file there. Instructions for this can be found at http://fedoraproject.org/wiki/Package_Review_Process
Comment 9 Ivan Romanov 2010-11-05 09:14:37 EDT
New Package SCM Request
=======================
Package Name: mingw32-dbus
Short Description: MinGW Windows port of DBus
Owners: ivanromanov
Branches: f14
InitialCC: ivanromanov
Comment 10 Jason Tibbitts 2010-11-05 13:23:22 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-11-05 15:50:19 EDT
mingw32-dbus-1.4.1-0.1.20101008git.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-dbus-1.4.1-0.1.20101008git.fc14
Comment 12 Fedora Update System 2010-11-06 19:47:53 EDT
mingw32-dbus-1.4.1-0.1.20101008git.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-dbus'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mingw32-dbus-1.4.1-0.1.20101008git.fc14
Comment 13 Fedora Update System 2010-11-14 16:38:51 EST
mingw32-dbus-1.4.1-0.1.20101008git.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.